<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:s1="http://microsoft.com/wsdl/types/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:import namespace="http://microsoft.com/wsdl/types/" />
      <s:element name="GetById">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="Key" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetByIdResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetByIdResult" type="tns:Agent" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="Agent">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Id" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Login" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Nom" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Prenom" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Mail" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Telephone" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="Expiration" nillable="true" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="TypeIndividu" type="tns:AgentType" />
          <s:element minOccurs="0" maxOccurs="1" name="Organisation" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="GUID" nillable="true" type="s1:guid" />
          <s:element minOccurs="0" maxOccurs="1" name="SID" type="s:base64Binary" />
          <s:element minOccurs="0" maxOccurs="1" name="SIDasText" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Chemin" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="Actif" nillable="true" type="s:boolean" />
          <s:element minOccurs="1" maxOccurs="1" name="Disparition" nillable="true" type="s:dateTime" />
          <s:element minOccurs="0" maxOccurs="1" name="EmployeeID" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:simpleType name="AgentType">
        <s:restriction base="s:string">
          <s:enumeration value="Agent" />
          <s:enumeration value="PartenaireProche" />
          <s:enumeration value="Externe" />
        </s:restriction>
      </s:simpleType>
      <s:element name="GetByIds">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="Keys" type="tns:ArrayOfString" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="GetByIdsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetByIdsResult" type="tns:ArrayOfAgent" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfAgent">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Agent" nillable="true" type="tns:Agent" />
        </s:sequence>
      </s:complexType>
      <s:element name="GetBy">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="FilterExpression" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetByResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetByResult" type="tns:Agent" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAll">
        <s:complexType />
      </s:element>
      <s:element name="GetAllResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetAllResult" type="tns:ArrayOfAgent" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAllSorted">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="SortField" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="SortAscendant" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAllSortedResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetAllSortedResult" type="tns:ArrayOfAgent" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetManyBy">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="FilterExpression" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetManyByResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetManyByResult" type="tns:ArrayOfAgent" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetManyBySorted">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="FilterExpression" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="SortField" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="SortAscendant" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetManyBySortedResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetManyBySortedResult" type="tns:ArrayOfAgent" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Agent" nillable="true" type="tns:Agent" />
      <s:element name="ArrayOfAgent" nillable="true" type="tns:ArrayOfAgent" />
    </s:schema>
    <s:schema elementFormDefault="qualified" targetNamespace="http://microsoft.com/wsdl/types/">
      <s:simpleType name="guid">
        <s:restriction base="s:string">
          <s:pattern value="[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}" />
        </s:restriction>
      </s:simpleType>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetByIdSoapIn">
    <wsdl:part name="parameters" element="tns:GetById" />
  </wsdl:message>
  <wsdl:message name="GetByIdSoapOut">
    <wsdl:part name="parameters" element="tns:GetByIdResponse" />
  </wsdl:message>
  <wsdl:message name="GetByIdsSoapIn">
    <wsdl:part name="parameters" element="tns:GetByIds" />
  </wsdl:message>
  <wsdl:message name="GetByIdsSoapOut">
    <wsdl:part name="parameters" element="tns:GetByIdsResponse" />
  </wsdl:message>
  <wsdl:message name="GetBySoapIn">
    <wsdl:part name="parameters" element="tns:GetBy" />
  </wsdl:message>
  <wsdl:message name="GetBySoapOut">
    <wsdl:part name="parameters" element="tns:GetByResponse" />
  </wsdl:message>
  <wsdl:message name="GetAllSoapIn">
    <wsdl:part name="parameters" element="tns:GetAll" />
  </wsdl:message>
  <wsdl:message name="GetAllSoapOut">
    <wsdl:part name="parameters" element="tns:GetAllResponse" />
  </wsdl:message>
  <wsdl:message name="GetAllSortedSoapIn">
    <wsdl:part name="parameters" element="tns:GetAllSorted" />
  </wsdl:message>
  <wsdl:message name="GetAllSortedSoapOut">
    <wsdl:part name="parameters" element="tns:GetAllSortedResponse" />
  </wsdl:message>
  <wsdl:message name="GetManyBySoapIn">
    <wsdl:part name="parameters" element="tns:GetManyBy" />
  </wsdl:message>
  <wsdl:message name="GetManyBySoapOut">
    <wsdl:part name="parameters" element="tns:GetManyByResponse" />
  </wsdl:message>
  <wsdl:message name="GetManyBySortedSoapIn">
    <wsdl:part name="parameters" element="tns:GetManyBySorted" />
  </wsdl:message>
  <wsdl:message name="GetManyBySortedSoapOut">
    <wsdl:part name="parameters" element="tns:GetManyBySortedResponse" />
  </wsdl:message>
  <wsdl:message name="GetByIdHttpGetIn">
    <wsdl:part name="Key" type="s:string" />
  </wsdl:message>
  <wsdl:message name="GetByIdHttpGetOut">
    <wsdl:part name="Body" element="tns:Agent" />
  </wsdl:message>
  <wsdl:message name="GetByHttpGetIn">
    <wsdl:part name="FilterExpression" type="s:string" />
  </wsdl:message>
  <wsdl:message name="GetByHttpGetOut">
    <wsdl:part name="Body" element="tns:Agent" />
  </wsdl:message>
  <wsdl:message name="GetAllHttpGetIn" />
  <wsdl:message name="GetAllHttpGetOut">
    <wsdl:part name="Body" element="tns:ArrayOfAgent" />
  </wsdl:message>
  <wsdl:message name="GetAllSortedHttpGetIn">
    <wsdl:part name="SortField" type="s:string" />
    <wsdl:part name="SortAscendant" type="s:string" />
  </wsdl:message>
  <wsdl:message name="GetAllSortedHttpGetOut">
    <wsdl:part name="Body" element="tns:ArrayOfAgent" />
  </wsdl:message>
  <wsdl:message name="GetManyByHttpGetIn">
    <wsdl:part name="FilterExpression" type="s:string" />
  </wsdl:message>
  <wsdl:message name="GetManyByHttpGetOut">
    <wsdl:part name="Body" element="tns:ArrayOfAgent" />
  </wsdl:message>
  <wsdl:message name="GetManyBySortedHttpGetIn">
    <wsdl:part name="FilterExpression" type="s:string" />
    <wsdl:part name="SortField" type="s:string" />
    <wsdl:part name="SortAscendant" type="s:string" />
  </wsdl:message>
  <wsdl:message name="GetManyBySortedHttpGetOut">
    <wsdl:part name="Body" element="tns:ArrayOfAgent" />
  </wsdl:message>
  <wsdl:message name="GetByIdHttpPostIn">
    <wsdl:part name="Key" type="s:string" />
  </wsdl:message>
  <wsdl:message name="GetByIdHttpPostOut">
    <wsdl:part name="Body" element="tns:Agent" />
  </wsdl:message>
  <wsdl:message name="GetByHttpPostIn">
    <wsdl:part name="FilterExpression" type="s:string" />
  </wsdl:message>
  <wsdl:message name="GetByHttpPostOut">
    <wsdl:part name="Body" element="tns:Agent" />
  </wsdl:message>
  <wsdl:message name="GetAllHttpPostIn" />
  <wsdl:message name="GetAllHttpPostOut">
    <wsdl:part name="Body" element="tns:ArrayOfAgent" />
  </wsdl:message>
  <wsdl:message name="GetAllSortedHttpPostIn">
    <wsdl:part name="SortField" type="s:string" />
    <wsdl:part name="SortAscendant" type="s:string" />
  </wsdl:message>
  <wsdl:message name="GetAllSortedHttpPostOut">
    <wsdl:part name="Body" element="tns:ArrayOfAgent" />
  </wsdl:message>
  <wsdl:message name="GetManyByHttpPostIn">
    <wsdl:part name="FilterExpression" type="s:string" />
  </wsdl:message>
  <wsdl:message name="GetManyByHttpPostOut">
    <wsdl:part name="Body" element="tns:ArrayOfAgent" />
  </wsdl:message>
  <wsdl:message name="GetManyBySortedHttpPostIn">
    <wsdl:part name="FilterExpression" type="s:string" />
    <wsdl:part name="SortField" type="s:string" />
    <wsdl:part name="SortAscendant" type="s:string" />
  </wsdl:message>
  <wsdl:message name="GetManyBySortedHttpPostOut">
    <wsdl:part name="Body" element="tns:ArrayOfAgent" />
  </wsdl:message>
  <wsdl:portType name="WsAgentsSoap">
    <wsdl:operation name="GetById">
      <wsdl:input message="tns:GetByIdSoapIn" />
      <wsdl:output message="tns:GetByIdSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetByIds">
      <wsdl:input message="tns:GetByIdsSoapIn" />
      <wsdl:output message="tns:GetByIdsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetBy">
      <wsdl:input message="tns:GetBySoapIn" />
      <wsdl:output message="tns:GetBySoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetAll">
      <wsdl:input message="tns:GetAllSoapIn" />
      <wsdl:output message="tns:GetAllSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetAllSorted">
      <wsdl:input message="tns:GetAllSortedSoapIn" />
      <wsdl:output message="tns:GetAllSortedSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetManyBy">
      <wsdl:input message="tns:GetManyBySoapIn" />
      <wsdl:output message="tns:GetManyBySoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetManyBySorted">
      <wsdl:input message="tns:GetManyBySortedSoapIn" />
      <wsdl:output message="tns:GetManyBySortedSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="WsAgentsHttpGet">
    <wsdl:operation name="GetById">
      <wsdl:input message="tns:GetByIdHttpGetIn" />
      <wsdl:output message="tns:GetByIdHttpGetOut" />
    </wsdl:operation>
    <wsdl:operation name="GetBy">
      <wsdl:input message="tns:GetByHttpGetIn" />
      <wsdl:output message="tns:GetByHttpGetOut" />
    </wsdl:operation>
    <wsdl:operation name="GetAll">
      <wsdl:input message="tns:GetAllHttpGetIn" />
      <wsdl:output message="tns:GetAllHttpGetOut" />
    </wsdl:operation>
    <wsdl:operation name="GetAllSorted">
      <wsdl:input message="tns:GetAllSortedHttpGetIn" />
      <wsdl:output message="tns:GetAllSortedHttpGetOut" />
    </wsdl:operation>
    <wsdl:operation name="GetManyBy">
      <wsdl:input message="tns:GetManyByHttpGetIn" />
      <wsdl:output message="tns:GetManyByHttpGetOut" />
    </wsdl:operation>
    <wsdl:operation name="GetManyBySorted">
      <wsdl:input message="tns:GetManyBySortedHttpGetIn" />
      <wsdl:output message="tns:GetManyBySortedHttpGetOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="WsAgentsHttpPost">
    <wsdl:operation name="GetById">
      <wsdl:input message="tns:GetByIdHttpPostIn" />
      <wsdl:output message="tns:GetByIdHttpPostOut" />
    </wsdl:operation>
    <wsdl:operation name="GetBy">
      <wsdl:input message="tns:GetByHttpPostIn" />
      <wsdl:output message="tns:GetByHttpPostOut" />
    </wsdl:operation>
    <wsdl:operation name="GetAll">
      <wsdl:input message="tns:GetAllHttpPostIn" />
      <wsdl:output message="tns:GetAllHttpPostOut" />
    </wsdl:operation>
    <wsdl:operation name="GetAllSorted">
      <wsdl:input message="tns:GetAllSortedHttpPostIn" />
      <wsdl:output message="tns:GetAllSortedHttpPostOut" />
    </wsdl:operation>
    <wsdl:operation name="GetManyBy">
      <wsdl:input message="tns:GetManyByHttpPostIn" />
      <wsdl:output message="tns:GetManyByHttpPostOut" />
    </wsdl:operation>
    <wsdl:operation name="GetManyBySorted">
      <wsdl:input message="tns:GetManyBySortedHttpPostIn" />
      <wsdl:output message="tns:GetManyBySortedHttpPostOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="WsAgentsSoap" type="tns:WsAgentsSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetById">
      <soap:operation soapAction="http://tempuri.org/GetById" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetByIds">
      <soap:operation soapAction="http://tempuri.org/GetByIds" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetBy">
      <soap:operation soapAction="http://tempuri.org/GetBy" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAll">
      <soap:operation soapAction="http://tempuri.org/GetAll" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAllSorted">
      <soap:operation soapAction="http://tempuri.org/GetAllSorted" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetManyBy">
      <soap:operation soapAction="http://tempuri.org/GetManyBy" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetManyBySorted">
      <soap:operation soapAction="http://tempuri.org/GetManyBySorted" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="WsAgentsSoap12" type="tns:WsAgentsSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetById">
      <soap12:operation soapAction="http://tempuri.org/GetById" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetByIds">
      <soap12:operation soapAction="http://tempuri.org/GetByIds" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetBy">
      <soap12:operation soapAction="http://tempuri.org/GetBy" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAll">
      <soap12:operation soapAction="http://tempuri.org/GetAll" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAllSorted">
      <soap12:operation soapAction="http://tempuri.org/GetAllSorted" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetManyBy">
      <soap12:operation soapAction="http://tempuri.org/GetManyBy" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetManyBySorted">
      <soap12:operation soapAction="http://tempuri.org/GetManyBySorted" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="WsAgentsHttpGet" type="tns:WsAgentsHttpGet">
    <http:binding verb="GET" />
    <wsdl:operation name="GetById">
      <http:operation location="/GetById" />
      <wsdl:input>
        <http:urlEncoded />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetBy">
      <http:operation location="/GetBy" />
      <wsdl:input>
        <http:urlEncoded />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAll">
      <http:operation location="/GetAll" />
      <wsdl:input>
        <http:urlEncoded />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAllSorted">
      <http:operation location="/GetAllSorted" />
      <wsdl:input>
        <http:urlEncoded />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetManyBy">
      <http:operation location="/GetManyBy" />
      <wsdl:input>
        <http:urlEncoded />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetManyBySorted">
      <http:operation location="/GetManyBySorted" />
      <wsdl:input>
        <http:urlEncoded />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="WsAgentsHttpPost" type="tns:WsAgentsHttpPost">
    <http:binding verb="POST" />
    <wsdl:operation name="GetById">
      <http:operation location="/GetById" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetBy">
      <http:operation location="/GetBy" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAll">
      <http:operation location="/GetAll" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAllSorted">
      <http:operation location="/GetAllSorted" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetManyBy">
      <http:operation location="/GetManyBy" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetManyBySorted">
      <http:operation location="/GetManyBySorted" />
      <wsdl:input>
        <mime:content type="application/x-www-form-urlencoded" />
      </wsdl:input>
      <wsdl:output>
        <mime:mimeXml part="Body" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="WsAgents">
    <wsdl:port name="WsAgentsSoap" binding="tns:WsAgentsSoap">
      <soap:address location="http://referentiel.bas-rhin.fr/webservices/WsAgents.asmx" />
    </wsdl:port>
    <wsdl:port name="WsAgentsSoap12" binding="tns:WsAgentsSoap12">
      <soap12:address location="http://referentiel.bas-rhin.fr/webservices/WsAgents.asmx" />
    </wsdl:port>
    <wsdl:port name="WsAgentsHttpGet" binding="tns:WsAgentsHttpGet">
      <http:address location="http://referentiel.bas-rhin.fr/webservices/WsAgents.asmx" />
    </wsdl:port>
    <wsdl:port name="WsAgentsHttpPost" binding="tns:WsAgentsHttpPost">
      <http:address location="http://referentiel.bas-rhin.fr/webservices/WsAgents.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>